Subject: bug#66516: closed (Re: [bug#66516] [PATCH 0/2] gnu: dealii: Update to 9.5.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Oct 2023 20:41:02 +0000

Your bug report

#66516: [PATCH 0/2] gnu: dealii: Update to 9.5.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66516: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66516
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66516] [PATCH 0/2] gnu: dealii: Update to 9.5.1.
From: Ludovic Courtès <[email-masked]>
To: "Paul A. Patience" <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Oct 2023 22:39:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"Paul A. Patience" <[email-masked]> skribis:

> The prerequisite-patch-id refers to the Trilinos build fix [1], which is not
> strictly required (dealii-openmpi will just not build without it).
>
> Unfortunately, I am flummoxed by the unset-cpath phase's fixing the build with
> Kokkos.

Yeah, #include_next is super sensitive to CPATH and duplicated entries
therein, so I’m unfortunately not surprised.

>   gnu: Add kokkos.
>   gnu: dealii: Update to 9.5.1.

Applied, and I moved Kokkos to cpp.scm as you suggested.

Thanks!

Ludo’.

Subject: [PATCH 0/2] gnu: dealii: Update to 9.5.1.
From: "Paul A. Patience" <[email-masked]>
To: [email-masked]
Cc: "Paul A. Patience" <[email-masked]>
Date: Fri, 13 Oct 2023 12:33:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The prerequisite-patch-id refers to the Trilinos build fix [1], which is not
strictly required (dealii-openmpi will just not build without it).

Unfortunately, I am flummoxed by the unset-cpath phase's fixing the build with
Kokkos.

[1]: https://bugs.gnu.org/66462

Paul A. Patience (2):
  gnu: Add kokkos.
  gnu: dealii: Update to 9.5.1.

 gnu/packages/maths.scm | 79 +++++++++++++++++++++++++++++++++++++++---
 1 file changed, 74 insertions(+), 5 deletions(-)

base-commit: f4e8baf3806e79d7111d2943859865ae4ee0b59d
prerequisite-patch-id: 15b686dd7cb363b42432fb9bc83701cd33bed641
-- 
2.41.0